ru.bitel.bgbilling.plugins.crm.common.model

## Class RegisterWork

- java.lang.Object
- - ru.bitel.bgbilling.plugins.crm.common.model.RegisterWork

- All Implemented Interfaces:
    java.io.Serializable

      public class RegisterWork
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATUS_CANCEL`
    `static int` | `STATUS_CLOSED`
    `static int` | `STATUS_INWORK`
    `static int` | `STATUS_NOTIFY`
    `static int` | `STATUS_ORDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterWork()` Конструктор

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getDescription()`
    `java.util.Date` | `getFactPeriodStart()`
    `java.util.Date` | `getFactPeriodStop()`
    `int` | `getFactTimeout()`
    `int` | `getId()`
    `java.lang.String` | `getNotifyTextExt()`
    `java.lang.String` | `getNotifyTextInt()`
    `java.util.Date` | `getPlanPeriodStart()`
    `java.util.Date` | `getPlanPeriodStop()`
    `int` | `getPlanTimeout()`
    `java.util.List<java.lang.Integer>` | `getProblemList()`
    `int` | `getStatus()`
    `java.lang.String` | `getTarget()`
    `int` | `getType()`
    `int` | `getUserControlId()`
    `java.lang.String` | `getUserControlName()`
    `int` | `getUserOrderId()`
    `java.lang.String` | `getUserOrderName()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setFactPeriodStart(java.util.Date factPeriodStart)`
    `void` | `setFactPeriodStop(java.util.Date factPeriodStop)`
    `void` | `setFactTimeout(int factTimeout)`
    `void` | `setId(int id)`
    `void` | `setNotifyTextExt(java.lang.String notifyTextExt)`
    `void` | `setNotifyTextInt(java.lang.String notifyTextInt)`
    `void` | `setPlanPeriodStart(java.util.Date planPeriodStart)`
    `void` | `setPlanPeriodStop(java.util.Date planPeriodStop)`
    `void` | `setPlanTimeout(int planTimeout)`
    `void` | `setProblemList(java.util.List<java.lang.Integer> problemList)`
    `void` | `setStatus(int status)`
    `void` | `setTarget(java.lang.String target)`
    `void` | `setType(int type)`
    `void` | `setUserControlId(int userControlId)`
    `void` | `setUserControlName(java.lang.String userControlName)`
    `void` | `setUserOrderId(int userOrderId)`
    `void` | `setUserOrderName(java.lang.String userOrderName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_ORDER

          public static final int STATUS_ORDER

      See Also:
        Constant Field Values

    - #### STATUS_NOTIFY

          public static final int STATUS_NOTIFY

      See Also:
        Constant Field Values

    - #### STATUS_INWORK

          public static final int STATUS_INWORK

      See Also:
        Constant Field Values

    - #### STATUS_CLOSED

          public static final int STATUS_CLOSED

      See Also:
        Constant Field Values

    - #### STATUS_CANCEL

          public static final int STATUS_CANCEL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RegisterWork

          public RegisterWork()

      Конструктор

  - ### Method Detail

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### getTarget

          public java.lang.String getTarget()

    - #### setTarget

          public void setTarget(java.lang.String target)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getPlanPeriodStart

          public java.util.Date getPlanPeriodStart()

    - #### setPlanPeriodStart

          public void setPlanPeriodStart(java.util.Date planPeriodStart)

    - #### getPlanPeriodStop

          public java.util.Date getPlanPeriodStop()

    - #### setPlanPeriodStop

          public void setPlanPeriodStop(java.util.Date planPeriodStop)

    - #### getPlanTimeout

          public int getPlanTimeout()

    - #### setPlanTimeout

          public void setPlanTimeout(int planTimeout)

    - #### getFactPeriodStart

          public java.util.Date getFactPeriodStart()

    - #### setFactPeriodStart

          public void setFactPeriodStart(java.util.Date factPeriodStart)

    - #### getFactPeriodStop

          public java.util.Date getFactPeriodStop()

    - #### setFactPeriodStop

          public void setFactPeriodStop(java.util.Date factPeriodStop)

    - #### getFactTimeout

          public int getFactTimeout()

    - #### setFactTimeout

          public void setFactTimeout(int factTimeout)

    - #### getNotifyTextInt

          public java.lang.String getNotifyTextInt()

    - #### setNotifyTextInt

          public void setNotifyTextInt(java.lang.String notifyTextInt)

    - #### getNotifyTextExt

          public java.lang.String getNotifyTextExt()

    - #### setNotifyTextExt

          public void setNotifyTextExt(java.lang.String notifyTextExt)

    - #### getUserOrderId

          public int getUserOrderId()

    - #### setUserOrderId

          public void setUserOrderId(int userOrderId)

    - #### getUserControlId

          public int getUserControlId()

    - #### getUserOrderName

          public java.lang.String getUserOrderName()

    - #### setUserOrderName

          public void setUserOrderName(java.lang.String userOrderName)

    - #### getUserControlName

          public java.lang.String getUserControlName()

    - #### setUserControlName

          public void setUserControlName(java.lang.String userControlName)

    - #### setUserControlId

          public void setUserControlId(int userControlId)

    - #### getProblemList

          public java.util.List<java.lang.Integer> getProblemList()

    - #### setProblemList

          public void setProblemList(java.util.List<java.lang.Integer> problemList)